package cache

import (
	"container/list"
	"sync"
)

//// IndexAutoRefresh 添加excel刷新队列
//func IndexAutoRefresh(filePath string) bool {
//	if utils.Re == nil {
//		if utils.Rc != nil {
//			if utils.Rc.SetNX(filePath, filePath, utils.GetTodayLastSecond()) {
//				err := utils.Rc.LPush(utils.REFRESH_INDEX, filePath)
//				if err != nil {
//					fmt.Println("RecordNewLogs LPush Err:" + err.Error())
//				}
//				return true
//			}
//		}
//		return true
//	}
//	return false
//}

// RefreshList 刷新的列表
var RefreshList *list.List

func init() {
	RefreshList = list.New()
}

var FilePathMap = make(map[string]int)

// FilePathMutex 创建一个互斥锁
var FilePathMutex sync.Mutex

// IndexAutoRefresh 添加excel刷新队列
func IndexAutoRefresh(filePath string) {
	FilePathMutex.Lock()
	defer FilePathMutex.Unlock()
	// 如果存在该路径，那么就不记录入list
	if _, ok := FilePathMap[filePath]; ok {
		return
	}
	RefreshList.PushBack(filePath)
	FilePathMap[filePath] = 1

	return
}
