package services

import (
	"eta/smm_watch/cache"
	"time"
)

// AutoRefresh 调用python刷新指标
func AutoRefresh() {
	for {
		el := cache.RefreshList.Front()
		// 如果没取到，那么就睡眠1s
		if el == nil {
			time.Sleep(1 * time.Second)
			continue
		}
		filePath := el.Value.(string)
		IndexHandle(filePath)
		// 处理完后就移除该list
		cache.RefreshList.Remove(el)

		cache.FilePathMutex.Lock()
		delete(cache.FilePathMap, filePath)
		cache.FilePathMutex.Unlock()
	}
}

//func AutoRefresh() {
//	defer func() {
//		if err := recover(); err != nil {
//			fmt.Println("[AutoRefresh]", err)
//		}
//	}()
//	for {
//		utils.Rc.Brpop(utils.REFRESH_INDEX, func(b []byte) {
//			filePath := string(b)
//			fmt.Println("Brpop:" + filePath)
//			IndexHandle(filePath)
//		})
//	}
//}

func IndexHandle(filePath string) {
	time.Sleep(1 * time.Second)
	SmmChemicalRefresh(filePath)
}
